Bug 610479 - bug report appeared unexpectedly
bug report appeared unexpectedly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 04:18 EDT by emeric.mudry
Modified: 2014-01-21 18:15 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 17:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description emeric.mudry 2010-07-02 04:18:09 EDT
Description of problem:
A report bug appeared suddendly. I had tried to update thanks to yum, but there were nothing to update. The bug report appeared some hours later. In the meanwhile, I used firefox, thunderbird, matlab and I was programming in Fortran.


Version-Release number of selected component (if applicable):
3.2.24
  Installé : rpm-4.7.2-1.fc11.i586 à 2010-01-11 09:08
  Compilé    : Fedora Project à 2009-12-23 08:57
  Commité : Panu Matilainen <pmatilai@redhat.com> à 2009-12-08 12:00

  Installé : yum-3.2.24-2.fc11.noarch à 2009-09-30 10:03
  Compilé    : Fedora Project à 2009-09-21 19:27
  Commité : Seth Vidal <skvidal at fedoraproject.org> à 2009-09-21 12:00

  Installé : yum-metadata-parser-1.1.2-12.fc11.i586 à 2009-07-06 09:38
  Compilé    : Fedora Project à 2009-02-25 18:45
  Commité : Fedora Release Engineering <rel-eng@lists.fedoraproject.org> à 2009-02-25 22:00


Bug report that appeared:
Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2151, in get_updates
    ygl = self.yumbase.doPackageLists(pkgnarrow='updates')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1733, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 715, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 595, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 702, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 538, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 277, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 164, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 222, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1222, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1386, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1378, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1368, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1351, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1197, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 976, in _getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 797, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 498, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 493, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 482, in _setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 655, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 652, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 606, in _baseurlSetup
    mirrorurls.extend(self._getMirrorList())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1625, in _getMirrorList
    print "Could not retrieve mirrorlist $s error was\n$s" $ (url, e)
  File "/usr/lib/python2.6/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 133: ordinal not in range(128)
Comment 1 James Antill 2010-07-02 09:51:17 EDT
Is this really Fedora-11? AIUI this bug is fixed in a PK update, but if not Fedora-11 is now EOL.
Comment 2 emeric.mudry 2010-07-02 15:53:21 EDT
I don't get your acronyms, but I confirm it is F11 Leonidas.
Comment 3 Jeff Raber 2010-07-02 17:55:53 EDT
Thank you for your bug report. 

We are sorry, but the Fedora Project is no longer releasing bug fixes or any other updates for this version of Fedora. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora, which is available from: 

http://fedoraproject.org/get-fedora 

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.